Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface LibraryDocumentManagerComponent

All Superinterfaces:
  Document, Editable, EditableItem, EditableLibraryComponent, Hierarchical, Item, LibraryComponent, Localized, WCMApiObject, WorkflowedDocument

Deprecated. LibraryDocumentManagerComponent is deprecated since 7.0

    public interface LibraryDocumentManagerComponent

extends EditableLibraryComponent

Represents a DocumentManager component.

A `LibraryDocumentManagerComponent` that exists in the Component Library.

A `LibraryDocumentManagerComponent` is used to reference a document within the DocumentManager.

note: since `v6.0.0`, a `LibraryComponent` is referred to as a `"Component"`in the Authoring UI.``

See Also:
  `LibraryComponent`

Method Summary
`java.lang.String` | `getDocumentLibrary()` Deprecated. Returns the library name for the current Document as a `String`.
`java.lang.String` | `getDocumentPath()` Deprecated. Returns the path ( folders and filename ) within the Document library of the DocumentManager Document associated with this component, as a `String`.
`java.lang.String` | `getVersionName()` Deprecated. Returns the set version name to be used if the version number is locked
`boolean` | `isLockedToVersion()` Deprecated. Returns true is the document is locked to a specific version.
`void` | `refreshDocument()` Deprecated. Refresh the document information, including latest version information for the document from Document Manager.
`void` | `setDocumentInformation(java.lang.String library, java.lang.String documentPath)` Deprecated. Sets the Document library and path information for the DocumentManager Document associated with this component.
`void` | `setLockToVersion(boolean locked)` Deprecated. Sets the current lock state for the document, if `locked` is true then the document will be locked to the current document version.

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Method Detail

### setDocumentInformation

    void setDocumentInformation(java.lang.String library,
                                java.lang.String documentPath)
                                throws DocumentNotFoundException

  Deprecated.
  Sets the Document library and path information for the DocumentManager Document associated with this component.

  Parameters:
    `library` - The JCR path of the library that the document is contained in, /contentRoot/icm:libraries[x] where x is a number
    `documentPath` - the path to the document within the library, e.g. /Example folder/example.doc
  Throws:
    `DocumentNotFoundException` - if the document information could not be set; such as, the document could not be found.

### getDocumentLibrary

    java.lang.String getDocumentLibrary()

  Deprecated.
  Returns the library name for the current Document as a `String`. Returns the library name for the DocumentManager Document associated with this component as a `String`.

  Returns:
    the library name

### getDocumentPath

    java.lang.String getDocumentPath()

  Deprecated.
  Returns the path ( folders and filename ) within the Document library of the DocumentManager Document associated with this component, as a `String`.

  Returns an empty `String` if the document path has not been set.

  Returns:
    the library name

### getVersionName

    java.lang.String getVersionName()

  Deprecated.
  Returns the set version name to be used if the version number is locked

  Returns:
    the library name
  See Also:
    `

    Returns an empty `String` if the versionName has not has not been set.

    `

### isLockedToVersion

    boolean isLockedToVersion()

  Deprecated.
  Returns true is the document is locked to a specific version. If a document is locked to a version then the rendering of this document will always use the same version, otherwise the most recent version of the document will always be used. The version name returned by getVersionName is the version that will be rendered if it is locked. Returns `true` if locked; `false` otherwise.

  Returns:
    current locked state

### setLockToVersion

    void setLockToVersion(boolean locked)
                          throws OperationFailedException

  Deprecated.
  Sets the current lock state for the document, if `locked` is true then the document will be locked to the current document version. Otherwise the document will be unlocked from the current document version.

  Parameters:
    `locked` - if false the latest document in DocumentManager will be rendered. If true then the same version will always be returned. The version set will be the version returned in getVersionName() at the time of locking the document.
  Throws:
    `OperationFailedException` - If the document could not be locked. Likely causes of this are the documentInformation has not been successfully set, or the document currently does not have a version set.
  See Also:
    `getVersionName()`

### refreshDocument

    void refreshDocument()
                         throws DocumentNotFoundException,
                                DocumentIsLockedException

  Deprecated.
  Refresh the document information, including latest version information for the document from Document Manager.

  Throws:
    `DocumentIsLockedException` - if the document is currently locked.
    `DocumentNotFoundException` - if the document nolonger exists within DocumentManager.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD